#!/bin/bash

echo "INFO Updating TLS certificates..."

cd /home/thomas/self-host/proxy/nginx || exit

sudo docker compose down

sleep 1

sudo certbot delete --cert-name systemsobscure.net

sleep 1

sudo certbot certonly --standalone \
	-d systemsobscure.net \
	-d grafana.systemsobscure.net \
	-d bookmarks.systemsobscure.net \
	-d forgejo.systemsobscure.net \
	-d rocketchat.systemsobscure.net \
	-d wakapi.systemsobscure.net

echo "INFO Confirming certificate creation..."

sudo certbot certificates

sleep 1

sudo docker compose up -d
